New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Make matplotlib a soft dependency of the bokeh backend #829

Closed
jlstevens opened this Issue Aug 23, 2016 · 2 comments

Comments

Projects
None yet
2 participants
@jlstevens
Member

jlstevens commented Aug 23, 2016

Currently, you need matplotlib for certain functionality (e.g colormaps) to use bokeh. Even if certain features are missing without matplotlib, I feel the bokeh backend should be usable even without matplotlib installed.

@philippjfr

This comment has been minimized.

Member

philippjfr commented Aug 23, 2016

Quick note, I think the matplotlib compatibility layer in bokeh is already factored out fairly cleanly, so all that has to happen is wrapping imports in try/excepts and for a small number of functions in holoviews.plotting.bokeh.util to handle the lack of matplotlib gracefully. The other missing piece are the magics, which I think currently assume matplotlib as the default backend, causing all kinds of issues when it's not available. Not a huge job and definitely worth doing.

@philippjfr

This comment has been minimized.

Member

philippjfr commented Mar 29, 2018

You can now use the bokeh backend without installing matplotlib.

@philippjfr philippjfr closed this Mar 29, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment